
Ruby - Bug #18166

Windows Ripper test-all failures? bison package?

09/14/2021 03:58 AM - MSP-Greg (Greg L)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 3.1.0dev (2021-09-13T19:00:39Z

master 4e03032a83) [x64-mingw32]

Backport: 2.7: DONE, 3.0: DONE

Description

Windows builds recently failed, and it's odd.  The bison package did change from 3.7.6 to 3.8.1...

Associated revisions

Revision efa1ba15fd5007210f819e6d11002ca829c989bf - 10/02/2021 02:22 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) fa05697e4832fbd67a4f91b9bb362471902faab3: [Backport #18166]

    Use `%printer` directive for Bison 3.8

    ---

     parse.y | 74 ++++++++++++++++++++++++++---------------------------------------

     1 file changed, 29 insertions(+), 45 deletions(-)

Revision efa1ba15fd5007210f819e6d11002ca829c989bf - 10/02/2021 02:22 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) fa05697e4832fbd67a4f91b9bb362471902faab3: [Backport #18166]

    Use `%printer` directive for Bison 3.8

    ---

     parse.y | 74 ++++++++++++++++++++++++++---------------------------------------

     1 file changed, 29 insertions(+), 45 deletions(-)

Revision efa1ba15 - 10/02/2021 02:22 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) fa05697e4832fbd67a4f91b9bb362471902faab3: [Backport #18166]

    Use `%printer` directive for Bison 3.8

    ---

     parse.y | 74 ++++++++++++++++++++++++++---------------------------------------

     1 file changed, 29 insertions(+), 45 deletions(-)

History

#1 - 09/14/2021 06:09 AM - xtkoba (Tee KOBAYASHI)

FYI, it is known that Bison 3.8.1 breaks build of the latest "still" release of LibreOffice (7.1.6.2): https://bugs.gentoo.org/812923

#2 - 09/14/2021 02:26 PM - MSP-Greg (Greg L)

Fixed by @nobu (Nobuyoshi Nakada) in fa05697e4832, both ruby-loco mingw & mswin also pass.

Thanks again.  Ok to close.

#3 - 09/14/2021 09:15 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- Backport changed from 2.6: UNKNOWN, 2.7: UNKNOWN, 3.0: UNKNOWN to 2.6: REQUIRED, 2.7: REQUIRED, 3.0: REQUIRED

#4 - 10/02/2021 02:22 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.6: REQUIRED, 2.7: REQUIRED, 3.0: REQUIRED to 2.6: REQUIRED, 2.7: REQUIRED, 3.0: DONE

ruby_3_0 efa1ba15fd5007210f819e6d11002ca829c989bf merged revision(s) fa05697e4832fbd67a4f91b9bb362471902faab3.
#5 - 11/24/2022 01:43 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.6: REQUIRED, 2.7: REQUIRED, 3.0: DONE to 2.7: DONE, 3.0: DONE

merged into ruby_2_7 at 168ec2b1e5ad0e4688e963d9de019557c78feed9
